Skip to navigation

Get guild by name

This endpoint is cached for 2 minutes in the USER cache source. See Caching.

This endpoint belongs to the GUILD rate-limit bucket. See Throttling and Rate Limits.

Name queries are case-insensitive. Use the identifier query parameter with either username or uuid to control how guild members are identified in the response.

Path parameters

querystringRequired

Query parameters

identifierenumOptional
Switches player descriptor between either their username or their uuid.
Allowed values:

Response

Guild detail.
uuidstringformat: "uuid"
namestring
prefixstring
levelinteger
xpPercentinteger
territoriesinteger
warsinteger
raidsinteger
createddatetime
membersobject
onlineinteger
bannerobject
seasonRanksmap from strings to objects
rankingmap from strings to integers

Map of leaderboard type/name to rank position. See GET /leaderboards/types for possible types.

Errors

404
Not Found Error